classification
Title: Windows install problems
Type: Stage: resolved
Components: Installation, Windows Versions: Python 3.5
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: paul.moore, ricardoe, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2016-07-19 01:47 by ricardoe, last changed 2016-09-09 19:12 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
Python 3.5.2 (32-bit)_20160718224049.log ricardoe, 2016-07-19 01:47 Install log
Python 3.5.2 (32-bit)_20160718232956_000_core_JustForMe.log ricardoe, 2016-07-19 02:54 justforme.log
Python 3.5.2 (32-bit)_20160719204204_000_core_JustForMe_rollback.log ricardoe, 2016-07-20 00:01
Python 3.5.2 (32-bit)_20160719204204.log ricardoe, 2016-07-20 00:01
Messages (8)
msg270801 - (view) Author: Ricardo Esperanza (ricardoe) * Date: 2016-07-19 01:47
Downloaded 3.5.2 package and recived following errors during install
also tried with 3.6 version and got same errors
Using Win 10 X64
attached complete log

[13A0:26B4][2016-07-18T22:40:59]i305: Verified acquired payload: exe_JustForMe at path: C:\Users\Ricardo\AppData\Local\Package Cache\.unverified\exe_JustForMe, moving to: C:\Users\Ricardo\AppData\Local\Package Cache\{33B10015-A9B1-4210-B50A-26C6443979B0}v3.5.2150.0\exe.msi.
[13A0:0EE0][2016-07-18T22:40:59]e000: Error 0x80070643: Failed to install MSI package.
[13A0:0EE0][2016-07-18T22:40:59]e000: Error 0x80070643: Failed to configure per-user MSI package.
[13A0:0EE0][2016-07-18T22:40:59]i319: Applied execute package: core_JustForMe, result: 0x80070643, restart: None
[13A0:0EE0][2016-07-18T22:40:59]e000: Error 0x80070643: Failed to execute MSI package.
[13A0:0EE0][2016-07-18T22:40:59]i318: Skipped rollback of package: core_JustForMe, action: Uninstall, already: Absent
msg270802 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-07-19 02:11
You should have another log file for "core_JustForMe" near the one you uploaded. Could you include that one too?
msg270805 - (view) Author: Ricardo Esperanza (ricardoe) * Date: 2016-07-19 02:54
attaching justforme. log
msg270810 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-07-19 03:53
Hmm... very unusual to get this error code without more information about what failed - the log file is oddly empty.

Do you perhaps need to reboot your machine to finish installing some other program or update? Do you have an earlier version of Python 3.5 installed?
msg270852 - (view) Author: Ricardo Esperanza (ricardoe) * Date: 2016-07-20 00:01
Steve
CCleanr my registry, then restarted and execute instal again
It worked for a longer period and ended with different error
attached log.
logs attached
msg270853 - (view) Author: Ricardo Esperanza (ricardoe) * Date: 2016-07-20 00:01
Steve 
another log file
msg270893 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-07-20 21:06
That time it looks like it failed to install the launcher for all users. Did you get an elevation prompt?
msg270894 - (view) Author: Ricardo Esperanza (ricardoe) * Date: 2016-07-20 22:25
Steve
 I tried again an installed correctly. Don´t understand what happened, but anyway it installed

thanks
History
Date User Action Args
2016-09-09 19:12:22steve.dowersetstatus: open -> closed
resolution: works for me
stage: resolved
2016-07-20 22:25:12ricardoesetmessages: + msg270894
2016-07-20 21:06:43steve.dowersetmessages: + msg270893
2016-07-20 00:01:44ricardoesetfiles: + Python 3.5.2 (32-bit)_20160719204204.log

messages: + msg270853
2016-07-20 00:01:03ricardoesetfiles: + Python 3.5.2 (32-bit)_20160719204204_000_core_JustForMe_rollback.log

messages: + msg270852
2016-07-19 03:53:39steve.dowersetmessages: + msg270810
2016-07-19 02:54:58ricardoesetfiles: + Python 3.5.2 (32-bit)_20160718232956_000_core_JustForMe.log

messages: + msg270805
2016-07-19 02:11:09steve.dowersetmessages: + msg270802
2016-07-19 01:54:31zach.waresetassignee: steve.dower

components: + Windows
nosy: + paul.moore, tim.golden, zach.ware, steve.dower
2016-07-19 01:47:21ricardoecreate